diff -urN docbook-xml-4.2.orig/debian/control docbook-xml-4.2/debian/control
--- docbook-xml-4.2.orig/debian/control	2004-01-16 12:13:52.000000000 +0000
+++ docbook-xml-4.2/debian/control	2004-01-16 12:31:50.000000000 +0000
@@ -7,7 +7,7 @@
 
 Package: docbook-xml
 Architecture: all
-Depends: sgml-data (>= 1.7.2), symlinks, ${misc:Depends}
+Depends: sgml-data (>= 1.7.2), symlinks, xml-core (>= 0.05), ${misc:Depends}
 Suggests: docbook, docbook-doc, docbook-dsssl, docbook-xsl
 Provides: docbk-xml
 Description: standard XML documentation system, for software and systems
diff -urN docbook-xml-4.2.orig/debian/docbook-xml.xml docbook-xml-4.2/debian/docbook-xml.xml
--- docbook-xml-4.2.orig/debian/docbook-xml.xml	1970-01-01 01:00:00.000000000 +0100
+++ docbook-xml-4.2/debian/docbook-xml.xml	2004-01-16 12:14:28.000000000 +0000
@@ -0,0 +1,30 @@
+<?xml version="1.0"?>
+<!DOCTYPE catalog PUBLIC "-//OASIS//DTD XML Catalogs V1.0//EN"
+  "file:///usr/share/xml/schema/xml-core/catalog.dtd">
+<catalog xmlns="urn:oasis:names:tc:entity:xmlns:xml:catalog">
+
+<delegatePublic publicIdStartString="-//Norman Walsh//DTD DocBk XML V3.1.7//EN"
+	catalog="file:///usr/share/sgml/docbook/dtd/xml/3.1.7/catalog.xml"/>
+
+<delegateSystem
+	systemIdStartString="http://www.oasis-open.org/docbook/xml/4.0/docbookx.dtd"
+	catalog="file:///usr/share/sgml/docbook/dtd/xml/4.0/catalog.xml"/>
+<delegatePublic
+	publicIdStartString="-//Norman Walsh//DTD DocBk XML V4.0//EN"
+	catalog="file:///usr/share/sgml/docbook/dtd/xml/4.0/catalog.xml"/>
+
+<delegateSystem
+	systemIdStartString="http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd"
+	catalog="file:///usr/share/sgml/docbook/dtd/xml/4.1.2/catalog.xml"/>
+<delegatePublic 
+	publicIdStartString="-//OASIS//DTD DocBook XML V4.1.2//EN"
+	catalog="file:///usr/share/sgml/docbook/dtd/xml/4.1.2/catalog.xml"/>
+
+<delegateSystem 
+	systemIdStartString="http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd"
+	catalog="file:///usr/share/sgml/docbook/dtd/xml/4.2/catalog.xml"/>
+<delegatePublic
+	publicIdStartString="-//OASIS//DTD DocBook XML V4.2//EN"
+	catalog="file:///usr/share/sgml/docbook/dtd/xml/4.2/catalog.xml"/>
+
+</catalog>
diff -urN docbook-xml-4.2.orig/debian/postinst docbook-xml-4.2/debian/postinst
--- docbook-xml-4.2.orig/debian/postinst	2004-01-16 12:13:52.000000000 +0000
+++ docbook-xml-4.2/debian/postinst	2004-01-16 12:19:19.000000000 +0000
@@ -23,6 +23,24 @@
     if [ -d /usr/share/sgml/docbook/dtd/xml/4.2.cr2 ]; then
         rm -rf /usr/share/sgml/docbook/dtd/xml/4.2.cr2 || true
     fi
+
+    # remove old xml catalog entries: maybe unnecessary but we'll
+    # put in here for completeness
+    /usr/sbin/update-xmlcatalog --del --root --type public \
+        --id "-//OASIS//DTD DocBook XML" >/dev/null 2>&1 || /bin/true
+    /usr/sbin/update-xmlcatalog --del --root --type uri \
+        --id "http://www.oasis-open.org/docbook" >/dev/null 2>&1 || /bin/true
+    /usr/sbin/update-xmlcatalog --del --root --type public\
+        --id "-//Norman Walsh//DTD DocBk" >/dev/null 2>&1 || /bin/true
+
+    # configure the xml catalog
+    /usr/sbin/update-xmlcatalog --add --root --type public --package \
+        docbook-xml --id "-//OASIS//DTD DocBook XML"
+    /usr/sbin/update-xmlcatalog --add --root --type uri --package \
+        docbook-xml --id "http://www.oasis-open.org/docbook"
+    /usr/sbin/update-xmlcatalog --add --root --type public --package \
+        docbook-xml --id "-//Norman Walsh//DTD DocBk"
+
 fi
 
 # automatically generated debhelper commands
diff -urN docbook-xml-4.2.orig/debian/prerm docbook-xml-4.2/debian/prerm
--- docbook-xml-4.2.orig/debian/prerm	1970-01-01 01:00:00.000000000 +0100
+++ docbook-xml-4.2/debian/prerm	2004-01-16 12:21:22.000000000 +0000
@@ -0,0 +1,21 @@
+#!/bin/sh
+# docbook-xml prerm
+#   jobs: remove xml catalog links
+
+set -e
+
+PACKAGE=docbook-xml
+
+if [ "$1" = remove ]; then
+    /usr/sbin/update-xmlcatalog --del --root --type public \
+        --id "-//OASIS//DTD DocBook XML" >/dev/null 2>&1 || /bin/true
+    /usr/sbin/update-xmlcatalog --del --root --type uri \
+        --id "http://www.oasis-open.org/docbook" >/dev/null 2>&1 || /bin/true
+    /usr/sbin/update-xmlcatalog --del --root --type public\
+        --id "-//Norman Walsh//DTD DocBk" >/dev/null 2>&1 || /bin/true
+fi
+
+# automatically generated debhelper commands
+#DEBHELPER#
+
+exit 0
diff -urN docbook-xml-4.2.orig/debian/rules docbook-xml-4.2/debian/rules
--- docbook-xml-4.2.orig/debian/rules	2004-01-16 12:13:52.000000000 +0000
+++ docbook-xml-4.2/debian/rules	2004-01-16 12:25:53.000000000 +0000
@@ -16,6 +16,7 @@
 cssdir		:= $(sgmldir)/stylesheet/css/$(package)
 docdir		:= $(prefix)/usr/share/doc/$(package)
 confdir		:= $(prefix)/etc/sgml/$(package)
+xmlcatdir	:= $(prefix)/etc/xml
 
 # tool abstraction
 install_file	:= install -o root -g root -m 644 -p
@@ -54,7 +55,8 @@
 	$(checkdir)
 	$(checkroot)
 	dh_clean -k
-	$(make_dir) $(prefix)/DEBIAN $(dtddir) $(cssdir) $(confdir)
+	$(make_dir) $(prefix)/DEBIAN $(dtddir) $(cssdir) $(confdir) \
+		$(xmlcatdir)
 
 #	 note that throughout we have to be careful to try to retain
 #	 the expected system entity names (dir and file names) as 
@@ -66,6 +68,9 @@
 	./debian/install-dtds $(prefix) $(dtddir)
 	dh_installcatalogs -i
 
+#	install xml catalogs
+#
+	$(install_file) ./debian/docbook-xml.xml $(xmlcatdir)
 ##
 ##	 make "supported versions" symlinks, comitting to keep this over time
 ##
